Subject: bug#14794: [External] : Re: bug#14794: 24.3.50; `w32-register-hot-key' does not work on Windows 7 64-bit

From: Drew Adams <[email-masked]>
Date: Sun, 20 Feb 2022 21:13:00 +0000

> > > Unless someone knows a way around this (I searched for it, but didn't
> > > find any solutions, only complaints), I guess this will remain a
> > > "known bug".
> >
> > Skimming this bug report, there doesn't seem to be anything to be done
> > on the Emacs side -- or at least there wasn't eight years ago.
> >
> > Is this still the case today?
> 
> I think we have a solution for this since Emacs 26.1.  From NEWS.26:
> 
>   ** Intercepting hotkeys on Windows 7 and later now works better.
>   The new keyboard hooking code properly grabs system hotkeys such as
>   'Win-*' and 'Alt-TAB', in a way that Emacs can get at them before the
>   system.  This makes the 'w32-register-hot-key' functionality work
>   again on all versions of MS-Windows starting with Windows 7.  On
>   Windows NT and later you can now register any hotkey combination.  (On
>   Windows 9X, the previous limitations, spelled out in the Emacs manual,
>   still apply.)

Excellent.  This is good news.  I didn't notice that
in the E26 NEWS.  Thank you.